-- merging databases to Completeresults.db which is empty aside from table layouts
-- BACKUP ORIGINAL DB FILES BEFORE MERGING AS THEIR P_ID WILL BE ALTERED PERMANTENTLY

attach "1CompMR_OCC_svn7523_git6578_0.db" as tomerge;
BEGIN TRANSACTION;
insert into MRTargetTbl select * from toMerge.MRTargetTbl;
insert into MRModelTbl select * from toMerge.MRModelTbl;
insert into AnnotationTbl select * from toMerge.AnnotationTbl;
insert into ELLGtbl select * from toMerge.ELLGtbl;
insert into TemplateRMSTbl select * from toMerge.TemplateRMSTbl;
insert into CCsigmaAtbl select * from toMerge.CCsigmaAtbl;
COMMIT;
detach database toMerge;

-- Have to update our p_id and MRTarget_id so that crossreferencing MRTargetTbl from MRModel_id and MRModel_id from AnnotationTbl or TemplateRMSTbl remains valid
-- To avoid a "PRIMARY KEY must be unique" error when updating the p_id we use the trick of updating them by assigning them to their negative values and then changing sign again
attach "1CompMR_OCC_svn7523_git6578_1.db" as tomerge;
UPDATE toMerge.MRTargetTbl SET p_id = -(SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRTargetTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET p_id = -(SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRModelTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.ELLGtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
BEGIN TRANSACTION;
insert into MRTargetTbl select * from toMerge.MRTargetTbl;
insert into MRModelTbl select * from toMerge.MRModelTbl;
insert into AnnotationTbl select * from toMerge.AnnotationTbl;
insert into ELLGtbl select * from toMerge.ELLGtbl;
insert into TemplateRMSTbl select * from toMerge.TemplateRMSTbl;
insert into CCsigmaAtbl select * from toMerge.CCsigmaAtbl;
COMMIT;
detach database toMerge;

attach "1CompMR_OCC_svn7523_git6578_2.db" as tomerge;
UPDATE toMerge.MRTargetTbl SET p_id = -(SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRTargetTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET p_id = -(SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRModelTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.ELLGtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
BEGIN TRANSACTION;
insert into MRTargetTbl select * from toMerge.MRTargetTbl;
insert into MRModelTbl select * from toMerge.MRModelTbl;
insert into AnnotationTbl select * from toMerge.AnnotationTbl;
insert into ELLGtbl select * from toMerge.ELLGtbl;
insert into TemplateRMSTbl select * from toMerge.TemplateRMSTbl;
insert into CCsigmaAtbl select * from toMerge.CCsigmaAtbl;
COMMIT;
detach database toMerge;

attach "1CompMR_OCC_svn7523_git6578_3.db" as tomerge;
UPDATE toMerge.MRTargetTbl SET p_id = -(SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRTargetTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET p_id = -(SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRModelTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.ELLGtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
BEGIN TRANSACTION;
insert into MRTargetTbl select * from toMerge.MRTargetTbl;
insert into MRModelTbl select * from toMerge.MRModelTbl;
insert into AnnotationTbl select * from toMerge.AnnotationTbl;
insert into ELLGtbl select * from toMerge.ELLGtbl;
insert into TemplateRMSTbl select * from toMerge.TemplateRMSTbl;
insert into CCsigmaAtbl select * from toMerge.CCsigmaAtbl;
COMMIT;
detach database toMerge;

attach "1CompMR_OCC_svn7523_git6578_4.db" as tomerge;
UPDATE toMerge.MRTargetTbl SET p_id = -(SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRTargetTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET p_id = -(SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRModelTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.ELLGtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
BEGIN TRANSACTION;
insert into MRTargetTbl select * from toMerge.MRTargetTbl;
insert into MRModelTbl select * from toMerge.MRModelTbl;
insert into AnnotationTbl select * from toMerge.AnnotationTbl;
insert into ELLGtbl select * from toMerge.ELLGtbl;
insert into TemplateRMSTbl select * from toMerge.TemplateRMSTbl;
insert into CCsigmaAtbl select * from toMerge.CCsigmaAtbl;
COMMIT;
detach database toMerge;

attach "1CompMR_OCC_svn7523_git6578_5.db" as tomerge;
UPDATE toMerge.MRTargetTbl SET p_id = -(SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRTargetTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET p_id = -(SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRModelTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.ELLGtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
BEGIN TRANSACTION;
insert into MRTargetTbl select * from toMerge.MRTargetTbl;
insert into MRModelTbl select * from toMerge.MRModelTbl;
insert into AnnotationTbl select * from toMerge.AnnotationTbl;
insert into ELLGtbl select * from toMerge.ELLGtbl;
insert into TemplateRMSTbl select * from toMerge.TemplateRMSTbl;
insert into CCsigmaAtbl select * from toMerge.CCsigmaAtbl;
COMMIT;
detach database toMerge;

attach "1CompMR_OCC_svn7523_git6578_6.db" as tomerge;
UPDATE toMerge.MRTargetTbl SET p_id = -(SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRTargetTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET p_id = -(SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRModelTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.ELLGtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
BEGIN TRANSACTION;
insert into MRTargetTbl select * from toMerge.MRTargetTbl;
insert into MRModelTbl select * from toMerge.MRModelTbl;
insert into AnnotationTbl select * from toMerge.AnnotationTbl;
insert into ELLGtbl select * from toMerge.ELLGtbl;
insert into TemplateRMSTbl select * from toMerge.TemplateRMSTbl;
insert into CCsigmaAtbl select * from toMerge.CCsigmaAtbl;
COMMIT;
detach database toMerge;

attach "1CompMR_OCC_svn7523_git6578_7.db" as tomerge;
UPDATE toMerge.MRTargetTbl SET p_id = -(SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRTargetTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET p_id = -(SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRModelTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.ELLGtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
BEGIN TRANSACTION;
insert into MRTargetTbl select * from toMerge.MRTargetTbl;
insert into MRModelTbl select * from toMerge.MRModelTbl;
insert into AnnotationTbl select * from toMerge.AnnotationTbl;
insert into ELLGtbl select * from toMerge.ELLGtbl;
insert into TemplateRMSTbl select * from toMerge.TemplateRMSTbl;
insert into CCsigmaAtbl select * from toMerge.CCsigmaAtbl;
COMMIT;
detach database toMerge;

attach "1CompMR_OCC_svn7523_git6578_8.db" as tomerge;
UPDATE toMerge.MRTargetTbl SET p_id = -(SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRTargetTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET p_id = -(SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRModelTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.ELLGtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
BEGIN TRANSACTION;
insert into MRTargetTbl select * from toMerge.MRTargetTbl;
insert into MRModelTbl select * from toMerge.MRModelTbl;
insert into AnnotationTbl select * from toMerge.AnnotationTbl;
insert into ELLGtbl select * from toMerge.ELLGtbl;
insert into TemplateRMSTbl select * from toMerge.TemplateRMSTbl;
insert into CCsigmaAtbl select * from toMerge.CCsigmaAtbl;
COMMIT;
detach database toMerge;

attach "1CompMR_OCC_svn7523_git6578_9.db" as tomerge;
UPDATE toMerge.MRTargetTbl SET p_id = -(SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRTargetTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET p_id = -(SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRModelTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.ELLGtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
BEGIN TRANSACTION;
insert into MRTargetTbl select * from toMerge.MRTargetTbl;
insert into MRModelTbl select * from toMerge.MRModelTbl;
insert into AnnotationTbl select * from toMerge.AnnotationTbl;
insert into ELLGtbl select * from toMerge.ELLGtbl;
insert into TemplateRMSTbl select * from toMerge.TemplateRMSTbl;
insert into CCsigmaAtbl select * from toMerge.CCsigmaAtbl;
COMMIT;
detach database toMerge;


attach "1CompMR_OCC_svn7523_git6578_10.db" as tomerge;
UPDATE toMerge.MRTargetTbl SET p_id = -(SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRTargetTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET p_id = -(SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRModelTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.ELLGtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
BEGIN TRANSACTION;
insert into MRTargetTbl select * from toMerge.MRTargetTbl;
insert into MRModelTbl select * from toMerge.MRModelTbl;
insert into AnnotationTbl select * from toMerge.AnnotationTbl;
insert into ELLGtbl select * from toMerge.ELLGtbl;
insert into TemplateRMSTbl select * from toMerge.TemplateRMSTbl;
insert into CCsigmaAtbl select * from toMerge.CCsigmaAtbl;
COMMIT;
detach database toMerge;

-- Have to update our p_id and MRTarget_id so that crossreferencing MRTargetTbl from MRModel_id and MRModel_id from AnnotationTbl or TemplateRMSTbl remains valid
-- To avoid a "PRIMARY KEY must be unique" error when updating the p_id we use the trick of updating them by assigning them to their negative values and then changing sign again
attach "1CompMR_OCC_svn7523_git6578_11.db" as tomerge;
UPDATE toMerge.MRTargetTbl SET p_id = -(SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRTargetTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET p_id = -(SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRModelTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.ELLGtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
BEGIN TRANSACTION;
insert into MRTargetTbl select * from toMerge.MRTargetTbl;
insert into MRModelTbl select * from toMerge.MRModelTbl;
insert into AnnotationTbl select * from toMerge.AnnotationTbl;
insert into ELLGtbl select * from toMerge.ELLGtbl;
insert into TemplateRMSTbl select * from toMerge.TemplateRMSTbl;
insert into CCsigmaAtbl select * from toMerge.CCsigmaAtbl;
COMMIT;
detach database toMerge;

attach "1CompMR_OCC_svn7523_git6578_12.db" as tomerge;
UPDATE toMerge.MRTargetTbl SET p_id = -(SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRTargetTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET p_id = -(SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRModelTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.ELLGtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
BEGIN TRANSACTION;
insert into MRTargetTbl select * from toMerge.MRTargetTbl;
insert into MRModelTbl select * from toMerge.MRModelTbl;
insert into AnnotationTbl select * from toMerge.AnnotationTbl;
insert into ELLGtbl select * from toMerge.ELLGtbl;
insert into TemplateRMSTbl select * from toMerge.TemplateRMSTbl;
insert into CCsigmaAtbl select * from toMerge.CCsigmaAtbl;
COMMIT;
detach database toMerge;

attach "1CompMR_OCC_svn7523_git6578_13.db" as tomerge;
UPDATE toMerge.MRTargetTbl SET p_id = -(SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRTargetTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET p_id = -(SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRModelTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.ELLGtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
BEGIN TRANSACTION;
insert into MRTargetTbl select * from toMerge.MRTargetTbl;
insert into MRModelTbl select * from toMerge.MRModelTbl;
insert into AnnotationTbl select * from toMerge.AnnotationTbl;
insert into ELLGtbl select * from toMerge.ELLGtbl;
insert into TemplateRMSTbl select * from toMerge.TemplateRMSTbl;
insert into CCsigmaAtbl select * from toMerge.CCsigmaAtbl;
COMMIT;
detach database toMerge;

attach "1CompMR_OCC_svn7523_git6578_14.db" as tomerge;
UPDATE toMerge.MRTargetTbl SET p_id = -(SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRTargetTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET p_id = -(SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRModelTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.ELLGtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
BEGIN TRANSACTION;
insert into MRTargetTbl select * from toMerge.MRTargetTbl;
insert into MRModelTbl select * from toMerge.MRModelTbl;
insert into AnnotationTbl select * from toMerge.AnnotationTbl;
insert into ELLGtbl select * from toMerge.ELLGtbl;
insert into TemplateRMSTbl select * from toMerge.TemplateRMSTbl;
insert into CCsigmaAtbl select * from toMerge.CCsigmaAtbl;
COMMIT;
detach database toMerge;

attach "1CompMR_OCC_svn7523_git6578_15.db" as tomerge;
UPDATE toMerge.MRTargetTbl SET p_id = -(SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRTargetTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET p_id = -(SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRModelTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.ELLGtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
BEGIN TRANSACTION;
insert into MRTargetTbl select * from toMerge.MRTargetTbl;
insert into MRModelTbl select * from toMerge.MRModelTbl;
insert into AnnotationTbl select * from toMerge.AnnotationTbl;
insert into ELLGtbl select * from toMerge.ELLGtbl;
insert into TemplateRMSTbl select * from toMerge.TemplateRMSTbl;
COMMIT;
detach database toMerge;

attach "1CompMR_OCC_svn7523_git6578_16.db" as tomerge;
UPDATE toMerge.MRTargetTbl SET p_id = -(SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRTargetTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET p_id = -(SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRModelTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.ELLGtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
BEGIN TRANSACTION;
insert into MRTargetTbl select * from toMerge.MRTargetTbl;
insert into MRModelTbl select * from toMerge.MRModelTbl;
insert into AnnotationTbl select * from toMerge.AnnotationTbl;
insert into ELLGtbl select * from toMerge.ELLGtbl;
insert into TemplateRMSTbl select * from toMerge.TemplateRMSTbl;
insert into CCsigmaAtbl select * from toMerge.CCsigmaAtbl;
COMMIT;
detach database toMerge;

attach "1CompMR_OCC_svn7523_git6578_17.db" as tomerge;
UPDATE toMerge.MRTargetTbl SET p_id = -(SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRTargetTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET p_id = -(SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRModelTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.ELLGtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
BEGIN TRANSACTION;
insert into MRTargetTbl select * from toMerge.MRTargetTbl;
insert into MRModelTbl select * from toMerge.MRModelTbl;
insert into AnnotationTbl select * from toMerge.AnnotationTbl;
insert into ELLGtbl select * from toMerge.ELLGtbl;
insert into TemplateRMSTbl select * from toMerge.TemplateRMSTbl;
insert into CCsigmaAtbl select * from toMerge.CCsigmaAtbl;
COMMIT;
detach database toMerge;

attach "1CompMR_OCC_svn7523_git6578_18.db" as tomerge;
UPDATE toMerge.MRTargetTbl SET p_id = -(SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRTargetTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET p_id = -(SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRModelTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.ELLGtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
BEGIN TRANSACTION;
insert into MRTargetTbl select * from toMerge.MRTargetTbl;
insert into MRModelTbl select * from toMerge.MRModelTbl;
insert into AnnotationTbl select * from toMerge.AnnotationTbl;
insert into ELLGtbl select * from toMerge.ELLGtbl;
insert into TemplateRMSTbl select * from toMerge.TemplateRMSTbl;
COMMIT;
detach database toMerge;

attach "1CompMR_OCC_svn7523_git6578_19.db" as tomerge;
UPDATE toMerge.MRTargetTbl SET p_id = -(SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRTargetTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET p_id = -(SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRModelTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.ELLGtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
BEGIN TRANSACTION;
insert into MRTargetTbl select * from toMerge.MRTargetTbl;
insert into MRModelTbl select * from toMerge.MRModelTbl;
insert into AnnotationTbl select * from toMerge.AnnotationTbl;
insert into ELLGtbl select * from toMerge.ELLGtbl;
insert into TemplateRMSTbl select * from toMerge.TemplateRMSTbl;
insert into CCsigmaAtbl select * from toMerge.CCsigmaAtbl;
COMMIT;
detach database toMerge;

attach "1CompMR_OCC_svn7523_git6578_20.db" as tomerge;
UPDATE toMerge.MRTargetTbl SET p_id = -(SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRTargetTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET p_id = -(SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRModelTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.ELLGtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
BEGIN TRANSACTION;
insert into MRTargetTbl select * from toMerge.MRTargetTbl;
insert into MRModelTbl select * from toMerge.MRModelTbl;
insert into AnnotationTbl select * from toMerge.AnnotationTbl;
insert into ELLGtbl select * from toMerge.ELLGtbl;
insert into TemplateRMSTbl select * from toMerge.TemplateRMSTbl;
insert into CCsigmaAtbl select * from toMerge.CCsigmaAtbl;
COMMIT;
detach database toMerge;

-- Have to update our p_id and MRTarget_id so that crossreferencing MRTargetTbl from MRModel_id and MRModel_id from AnnotationTbl or TemplateRMSTbl remains valid
-- To avoid a "PRIMARY KEY must be unique" error when updating the p_id we use the trick of updating them by assigning them to their negative values and then changing sign again
attach "1CompMR_OCC_svn7523_git6578_21.db" as tomerge;
UPDATE toMerge.MRTargetTbl SET p_id = -(SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRTargetTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET p_id = -(SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRModelTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.ELLGtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
BEGIN TRANSACTION;
insert into MRTargetTbl select * from toMerge.MRTargetTbl;
insert into MRModelTbl select * from toMerge.MRModelTbl;
insert into AnnotationTbl select * from toMerge.AnnotationTbl;
insert into ELLGtbl select * from toMerge.ELLGtbl;
insert into TemplateRMSTbl select * from toMerge.TemplateRMSTbl;
insert into CCsigmaAtbl select * from toMerge.CCsigmaAtbl;
COMMIT;
detach database toMerge;

attach "1CompMR_OCC_svn7523_git6578_22.db" as tomerge;
UPDATE toMerge.MRTargetTbl SET p_id = -(SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRTargetTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET p_id = -(SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRModelTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.ELLGtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
BEGIN TRANSACTION;
insert into MRTargetTbl select * from toMerge.MRTargetTbl;
insert into MRModelTbl select * from toMerge.MRModelTbl;
insert into AnnotationTbl select * from toMerge.AnnotationTbl;
insert into ELLGtbl select * from toMerge.ELLGtbl;
insert into TemplateRMSTbl select * from toMerge.TemplateRMSTbl;
insert into CCsigmaAtbl select * from toMerge.CCsigmaAtbl;
COMMIT;
detach database toMerge;

attach "1CompMR_OCC_svn7523_git6578_23.db" as tomerge;
UPDATE toMerge.MRTargetTbl SET p_id = -(SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRTargetTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET p_id = -(SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRModelTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.ELLGtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
BEGIN TRANSACTION;
insert into MRTargetTbl select * from toMerge.MRTargetTbl;
insert into MRModelTbl select * from toMerge.MRModelTbl;
insert into AnnotationTbl select * from toMerge.AnnotationTbl;
insert into ELLGtbl select * from toMerge.ELLGtbl;
insert into TemplateRMSTbl select * from toMerge.TemplateRMSTbl;
insert into CCsigmaAtbl select * from toMerge.CCsigmaAtbl;
COMMIT;
detach database toMerge;

attach "1CompMR_OCC_svn7523_git6578_24.db" as tomerge;
UPDATE toMerge.MRTargetTbl SET p_id = -(SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRTargetTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET p_id = -(SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRModelTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.ELLGtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
BEGIN TRANSACTION;
insert into MRTargetTbl select * from toMerge.MRTargetTbl;
insert into MRModelTbl select * from toMerge.MRModelTbl;
insert into AnnotationTbl select * from toMerge.AnnotationTbl;
insert into ELLGtbl select * from toMerge.ELLGtbl;
insert into TemplateRMSTbl select * from toMerge.TemplateRMSTbl;
insert into CCsigmaAtbl select * from toMerge.CCsigmaAtbl;
COMMIT;
detach database toMerge;

attach "1CompMR_OCC_svn7523_git6578_25.db" as tomerge;
UPDATE toMerge.MRTargetTbl SET p_id = -(SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRTargetTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET p_id = -(SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRModelTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.ELLGtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
BEGIN TRANSACTION;
insert into MRTargetTbl select * from toMerge.MRTargetTbl;
insert into MRModelTbl select * from toMerge.MRModelTbl;
insert into AnnotationTbl select * from toMerge.AnnotationTbl;
insert into ELLGtbl select * from toMerge.ELLGtbl;
insert into TemplateRMSTbl select * from toMerge.TemplateRMSTbl;
insert into CCsigmaAtbl select * from toMerge.CCsigmaAtbl;
COMMIT;
detach database toMerge;

attach "1CompMR_OCC_svn7523_git6578_26.db" as tomerge;
UPDATE toMerge.MRTargetTbl SET p_id = -(SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRTargetTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET p_id = -(SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRModelTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.ELLGtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
BEGIN TRANSACTION;
insert into MRTargetTbl select * from toMerge.MRTargetTbl;
insert into MRModelTbl select * from toMerge.MRModelTbl;
insert into AnnotationTbl select * from toMerge.AnnotationTbl;
insert into ELLGtbl select * from toMerge.ELLGtbl;
insert into TemplateRMSTbl select * from toMerge.TemplateRMSTbl;
insert into CCsigmaAtbl select * from toMerge.CCsigmaAtbl;
COMMIT;
detach database toMerge;

attach "1CompMR_OCC_svn7523_git6578_27.db" as tomerge;
UPDATE toMerge.MRTargetTbl SET p_id = -(SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRTargetTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET p_id = -(SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRModelTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.ELLGtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
BEGIN TRANSACTION;
insert into MRTargetTbl select * from toMerge.MRTargetTbl;
insert into MRModelTbl select * from toMerge.MRModelTbl;
insert into AnnotationTbl select * from toMerge.AnnotationTbl;
insert into ELLGtbl select * from toMerge.ELLGtbl;
insert into TemplateRMSTbl select * from toMerge.TemplateRMSTbl;
insert into CCsigmaAtbl select * from toMerge.CCsigmaAtbl;
COMMIT;
detach database toMerge;

attach "1CompMR_OCC_svn7523_git6578_28.db" as tomerge;
UPDATE toMerge.MRTargetTbl SET p_id = -(SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRTargetTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET p_id = -(SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRModelTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.ELLGtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
BEGIN TRANSACTION;
insert into MRTargetTbl select * from toMerge.MRTargetTbl;
insert into MRModelTbl select * from toMerge.MRModelTbl;
insert into AnnotationTbl select * from toMerge.AnnotationTbl;
insert into ELLGtbl select * from toMerge.ELLGtbl;
insert into TemplateRMSTbl select * from toMerge.TemplateRMSTbl;
insert into CCsigmaAtbl select * from toMerge.CCsigmaAtbl;
COMMIT;
detach database toMerge;

attach "1CompMR_OCC_svn7523_git6578_29.db" as tomerge;
UPDATE toMerge.MRTargetTbl SET p_id = -(SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRTargetTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET p_id = -(SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1) - p_id;
UPDATE toMerge.MRModelTbl SET p_id = -p_id;
UPDATE toMerge.MRModelTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.AnnotationTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.ELLGtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.TemplateRMSTbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRModel_id = MRModel_id + (SELECT p_id FROM MRModelTbl ORDER BY ROWID DESC LIMIT 1);
UPDATE toMerge.CCsigmaAtbl SET MRTarget_id = MRTarget_id + (SELECT p_id FROM MRTargetTbl ORDER BY ROWID DESC LIMIT 1);
BEGIN TRANSACTION;
insert into MRTargetTbl select * from toMerge.MRTargetTbl;
insert into MRModelTbl select * from toMerge.MRModelTbl;
insert into AnnotationTbl select * from toMerge.AnnotationTbl;
insert into ELLGtbl select * from toMerge.ELLGtbl;
insert into TemplateRMSTbl select * from toMerge.TemplateRMSTbl;
insert into CCsigmaAtbl select * from toMerge.CCsigmaAtbl;
COMMIT;
detach database toMerge;

